package jalview.ext.varna;

import fr.orsay.lri.varna.models.rna.RNA;

import jalview.datamodel.AlignmentAnnotation;
import jalview.datamodel.SequenceI;

/**
 * Data bean wrapping the data items that define one RNA view
 */
public class RnaModel
{
  public final String title;

  public final AlignmentAnnotation ann;

  public final SequenceI seq;

  public final boolean gapped;

  public final RNA rna;

  // path to a file holding VARNA session state XML
  public final String varnaSession;

  public RnaModel(String t, AlignmentAnnotation aa, SequenceI s, RNA r,
          boolean g,
          String sessionFile)
  {
    title = t;
    ann = aa;
    seq = s;
    gapped = g;
    rna = r;
    varnaSession = sessionFile;
  }
}